# Uses of Class
org.eclipse.compare.patch.PatchConfiguration

Packages that use PatchConfiguration
Package
Description
org.eclipse.compare.patch
Provides support for applying and working with patches.

## Uses of PatchConfiguration in org.eclipse.compare.patch

Methods in org.eclipse.compare.patch with parameters of type PatchConfiguration
Modifier and Type
Method
Description
`IFilePatchResult`
IFilePatch.`apply(IStorage contents, PatchConfiguration configuration, IProgressMonitor monitor)`
Apply this patch to the given file contents.
`IFilePatchResult`
IFilePatch2.`apply(ReaderCreator content, PatchConfiguration configuration, IProgressMonitor monitor)`
Apply this patch to the given contents.
`IPath`
IFilePatch.`getTargetPath(PatchConfiguration configuration)`
Return the target path for this patch.
`IPath`
IFilePatch2.`getTargetPath(PatchConfiguration configuration)`
Return the target path for this patch.